Subject: [PATCH 2/2] ARM: dts: berlin: enable i2c0 and i2c2

From: [email-masked] (Antoine Ténart)
Date: Wed, 4 Jun 2014 19:37:01 +0200

On Wed, Jun 04, 2014 at 07:03:40PM +0200, Andrew Lunn wrote:
> On Wed, Jun 04, 2014 at 06:48:41PM +0200, Antoine T?nart wrote:
> > 
> > On Tue, Jun 03, 2014 at 10:05:22AM +0200, Andrew Lunn wrote:
> > > On Tue, Jun 03, 2014 at 09:33:10AM +0200, Antoine T?nart wrote:
> > > > Enable the I2C0 and I2C2 for the Marvell Berlin BG2G DMP. I2C1 and I2C3
> > > > are also working on this board, but no devices seemed to be there.
> > > 
> > > Does this mean that IC0 and I2C2 have devices on them? Could you also
> > > add nodes for the devices?
> > 
> > No devices I can add for now. I you prefer we can drop this patch, keep
> > the other one and enable i2c nodes for the BG2Q DMP when they will be
> > needed.
> 
> I was just wondering how you tested it, without having any devices?

I tested with the i2ctools. I could see one device on each bus at the
address it should be. I also tested the pin muxing configurations.

I don't have lots of information on these I2C buses, at least my test
results match what I know.

> Is it that the devices on the bus don't have mainline drivers?

Not with I2C support.

Antoine

-- 
Antoine T?nart, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com